diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-login.php ./wordpress-3.4/wp-login.php
*** ./wordpress-3.3.2/wp-login.php	2011-11-23 01:03:00.000000000 -0600
--- ./wordpress-3.4/wp-login.php	2012-06-08 14:22:11.000000000 -0500
***************
*** 39,45 ****
   * @param WP_Error $wp_error Optional. WordPress Error Object
   */
  function login_header($title = 'Log In', $message = '', $wp_error = '') {
! 	global $error, $is_iphone, $interim_login, $current_site;
  
  	// Don't index any of these forms
  	add_action( 'login_head', 'wp_no_robots' );
--- 39,45 ----
   * @param WP_Error $wp_error Optional. WordPress Error Object
   */
  function login_header($title = 'Log In', $message = '', $wp_error = '') {
! 	global $error, $interim_login, $current_site, $customize_login;
  
  	// Don't index any of these forms
  	add_action( 'login_head', 'wp_no_robots' );
***************
*** 54,92 ****
  	if ( $shake_error_codes && $wp_error->get_error_code() && in_array( $wp_error->get_error_code(), $shake_error_codes ) )
  		add_action( 'login_head', 'wp_shake_js', 12 );
  
! 	?>
! <!DOCTYPE html>
! <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
! <head>
  	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
  	<title><?php bloginfo('name'); ?> &rsaquo; <?php echo $title; ?></title>
! <?php
  	wp_admin_css( 'wp-admin', true );
  	wp_admin_css( 'colors-fresh', true );
  
! 	if ( $is_iphone ) { ?>
! 	<meta name="viewport" content="width=320; initial-scale=0.9; maximum-scale=1.0; user-scalable=0;" />
! 	<style type="text/css" media="screen">
! 	.login form, .login .message, #login_error { margin-left: 0px; }
! 	.login #nav, .login #backtoblog { margin-left: 8px; }
! 	.login h1 a { width: auto; }
! 	#login { padding: 20px 0; }
! 	</style>
! <?php
  	}
  
  	do_action( 'login_enqueue_scripts' );
! 	do_action( 'login_head' ); ?>
! </head>
! <body class="login">
! <?php   if ( !is_multisite() ) { ?>
! <div id="login"><h1><a href="<?php echo esc_url( apply_filters('login_headerurl', 'http://wordpress.org/') ); ?>" title="<?php echo esc_attr( apply_filters('login_headertitle', __( 'Powered by WordPress' ) ) ); ?>"><?php bloginfo('name'); ?></a></h1>
! <?php   } else { ?>
! <div id="login"><h1><a href="<?php echo esc_url( apply_filters('login_headerurl', network_home_url() ) ); ?>" title="<?php echo esc_attr( apply_filters('login_headertitle', $current_site->site_name ) ); ?>"><span class="hide"><?php bloginfo('name'); ?></span></a></h1>
! <?php   }
  
  	$message = apply_filters('login_message', $message);
! 	if ( !empty( $message ) ) echo $message . "\n";
  
  	// In case a plugin uses $error rather than the $wp_errors object
  	if ( !empty( $error ) ) {
--- 54,106 ----
  	if ( $shake_error_codes && $wp_error->get_error_code() && in_array( $wp_error->get_error_code(), $shake_error_codes ) )
  		add_action( 'login_head', 'wp_shake_js', 12 );
  
! 	?><!DOCTYPE html>
! 	<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
! 	<head>
  	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
  	<title><?php bloginfo('name'); ?> &rsaquo; <?php echo $title; ?></title>
! 	<?php
! 
  	wp_admin_css( 'wp-admin', true );
  	wp_admin_css( 'colors-fresh', true );
  
! 	if ( wp_is_mobile() ) { ?>
! 		<meta name="viewport" content="width=320; initial-scale=0.9; maximum-scale=1.0; user-scalable=0;" /><?php
  	}
  
+ 	if ( $customize_login )
+ 		wp_enqueue_script( 'customize-base' );
+ 
  	do_action( 'login_enqueue_scripts' );
! 	do_action( 'login_head' );
! 
! 	if ( is_multisite() ) {
! 		$login_header_url   = network_home_url();
! 		$login_header_title = $current_site->site_name;
! 	} else {
! 		$login_header_url   = __( 'http://wordpress.org/' );
! 		$login_header_title = __( 'Powered by WordPress' );
! 	}
! 
! 	$login_header_url   = apply_filters( 'login_headerurl',   $login_header_url   );
! 	$login_header_title = apply_filters( 'login_headertitle', $login_header_title );
! 
! 	// Don't allow interim logins to navigate away from the page.
! 	if ( $interim_login )
! 		$login_header_url = '#';
! 
! 	?>
! 	</head>
! 	<body class="login<?php if ( wp_is_mobile() ) echo ' mobile'; ?>">
! 	<div id="login">
! 		<h1><a href="<?php echo esc_url( $login_header_url ); ?>" title="<?php echo esc_attr( $login_header_title ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
! 	<?php
! 
! 	unset( $login_header_url, $login_header_title );
  
  	$message = apply_filters('login_message', $message);
! 	if ( !empty( $message ) )
! 		echo $message . "\n";
  
  	// In case a plugin uses $error rather than the $wp_errors object
  	if ( !empty( $error ) ) {
***************
*** 119,145 ****
   * @param string $input_id Which input to auto-focus
   */
  function login_footer($input_id = '') {
! 	?>
  	<p id="backtoblog"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_attr_e( 'Are you lost?' ); ?>"><?php printf( __( '&larr; Back to %s' ), get_bloginfo( 'title', 'display' ) ); ?></a></p>
! 	</div>
  
! <?php if ( !empty($input_id) ) : ?>
! <script type="text/javascript">
! try{document.getElementById('<?php echo $input_id; ?>').focus();}catch(e){}
! if(typeof wpOnload=='function')wpOnload();
! </script>
! <?php endif; ?>
  
! <?php do_action('login_footer'); ?>
! <div class="clear"></div>
! </body>
! </html>
! <?php
  }
  
  function wp_shake_js() {
! 	global $is_iphone;
! 	if ( $is_iphone )
  		return;
  ?>
  <script type="text/javascript">
--- 133,163 ----
   * @param string $input_id Which input to auto-focus
   */
  function login_footer($input_id = '') {
! 	global $interim_login;
! 
! 	// Don't allow interim logins to navigate away from the page.
! 	if ( ! $interim_login ): ?>
  	<p id="backtoblog"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_attr_e( 'Are you lost?' ); ?>"><?php printf( __( '&larr; Back to %s' ), get_bloginfo( 'title', 'display' ) ); ?></a></p>
! 	<?php endif; ?>
  
! 	</div>
  
! 	<?php if ( !empty($input_id) ) : ?>
! 	<script type="text/javascript">
! 	try{document.getElementById('<?php echo $input_id; ?>').focus();}catch(e){}
! 	if(typeof wpOnload=='function')wpOnload();
! 	</script>
! 	<?php endif; ?>
! 
! 	<?php do_action('login_footer'); ?>
! 	<div class="clear"></div>
! 	</body>
! 	</html>
! 	<?php
  }
  
  function wp_shake_js() {
! 	if ( wp_is_mobile() )
  		return;
  ?>
  <script type="text/javascript">
***************
*** 208,214 ****
  		$wpdb->update($wpdb->users, array('user_activation_key' => $key), array('user_login' => $user_login));
  	}
  	$message = __('Someone requested that the password be reset for the following account:') . "\r\n\r\n";
! 	$message .= network_site_url() . "\r\n\r\n";
  	$message .= sprintf(__('Username: %s'), $user_login) . "\r\n\r\n";
  	$message .= __('If this was a mistake, just ignore this email and nothing will happen.') . "\r\n\r\n";
  	$message .= __('To reset your password, visit the following address:') . "\r\n\r\n";
--- 226,232 ----
  		$wpdb->update($wpdb->users, array('user_activation_key' => $key), array('user_login' => $user_login));
  	}
  	$message = __('Someone requested that the password be reset for the following account:') . "\r\n\r\n";
! 	$message .= network_home_url( '/' ) . "\r\n\r\n";
  	$message .= sprintf(__('Username: %s'), $user_login) . "\r\n\r\n";
  	$message .= __('If this was a mistake, just ignore this email and nothing will happen.') . "\r\n\r\n";
  	$message .= __('To reset your password, visit the following address:') . "\r\n\r\n";
***************
*** 239,246 ****
   *
   * @param string $key Hash to validate sending user's password
   * @param string $login The user login
!  *
!  * @return object|WP_Error
   */
  function check_password_reset_key($key, $login) {
  	global $wpdb;
--- 257,263 ----
   *
   * @param string $key Hash to validate sending user's password
   * @param string $login The user login
!  * @return object|WP_Error User's database row on success, error object for invalid keys
   */
  function check_password_reset_key($key, $login) {
  	global $wpdb;
***************
*** 264,272 ****
  /**
   * Handles resetting the user's password.
   *
!  * @uses $wpdb WordPress Database object
!  *
!  * @param string $key Hash to validate sending user's password
   */
  function reset_password($user, $new_pass) {
  	do_action('password_reset', $user, $new_pass);
--- 281,288 ----
  /**
   * Handles resetting the user's password.
   *
!  * @param object $user The user
!  * @param string $new_pass New password for the user in plaintext
   */
  function reset_password($user, $new_pass) {
  	do_action('password_reset', $user, $new_pass);
***************
*** 341,347 ****
  	$action = 'resetpass';
  
  // validate action so as to default to the login screen
! if ( !in_array($action, array('logout', 'lostpassword', 'retrievepassword', 'resetpass', 'rp', 'register', 'login'), true) && false === has_filter('login_form_' . $action) )
  	$action = 'login';
  
  nocache_headers();
--- 357,363 ----
  	$action = 'resetpass';
  
  // validate action so as to default to the login screen
! if ( !in_array( $action, array( 'postpass', 'logout', 'lostpassword', 'retrievepassword', 'resetpass', 'rp', 'register', 'login' ), true ) && false === has_filter( 'login_form_' . $action ) )
  	$action = 'login';
  
  nocache_headers();
***************
*** 369,374 ****
--- 385,405 ----
  $http_post = ('POST' == $_SERVER['REQUEST_METHOD']);
  switch ($action) {
  
+ case 'postpass' :
+ 	if ( empty( $wp_hasher ) ) {
+ 		require_once( ABSPATH . 'wp-includes/class-phpass.php' );
+ 		// By default, use the portable hash from phpass
+ 		$wp_hasher = new PasswordHash(8, true);
+ 	}
+ 
+ 	// 10 days
+ 	setcookie( 'wp-postpass_' . COOKIEHASH, $wp_hasher->HashPassword( stripslashes( $_POST['post_password'] ) ), time() + 864000, COOKIEPATH );
+ 
+ 	wp_safe_redirect( wp_get_referer() );
+ 	exit();
+ 
+ break;
+ 
  case 'logout' :
  	check_admin_referer('log-out');
  	wp_logout();
***************
*** 536,541 ****
--- 567,573 ----
  default:
  	$secure_cookie = '';
  	$interim_login = isset($_REQUEST['interim-login']);
+ 	$customize_login = isset( $_REQUEST['customize-login'] );
  
  	// If the user wants ssl but the session is not ssl, force a secure cookie.
  	if ( !empty($_POST['log']) && !force_ssl_admin() ) {
***************
*** 560,566 ****
  	$reauth = empty($_REQUEST['reauth']) ? false : true;
  
  	// If the user was redirected to a secure login form from a non-secure admin page, and secure login is required but secure admin is not, then don't use a secure
! 	// cookie and redirect back to the referring non-secure admin page.  This allows logins to always be POSTed over SSL while allowing the user to choose visiting
  	// the admin via http or https.
  	if ( !$secure_cookie && is_ssl() && force_ssl_login() && !force_ssl_admin() && ( 0 !== strpos($redirect_to, 'https') ) && ( 0 === strpos($redirect_to, 'http') ) )
  		$secure_cookie = false;
--- 592,598 ----
  	$reauth = empty($_REQUEST['reauth']) ? false : true;
  
  	// If the user was redirected to a secure login form from a non-secure admin page, and secure login is required but secure admin is not, then don't use a secure
! 	// cookie and redirect back to the referring non-secure admin page. This allows logins to always be POSTed over SSL while allowing the user to choose visiting
  	// the admin via http or https.
  	if ( !$secure_cookie && is_ssl() && force_ssl_login() && !force_ssl_admin() && ( 0 !== strpos($redirect_to, 'https') ) && ( 0 === strpos($redirect_to, 'http') ) )
  		$secure_cookie = false;
***************
*** 572,582 ****
  	if ( !is_wp_error($user) && !$reauth ) {
  		if ( $interim_login ) {
  			$message = '<p class="message">' . __('You have logged in successfully.') . '</p>';
! 			login_header( '', $message ); ?>
! 			<script type="text/javascript">setTimeout( function(){window.close()}, 8000);</script>
! 			<p class="alignright">
! 			<input type="button" class="button-primary" value="<?php esc_attr_e('Close'); ?>" onclick="window.close()" /></p>
! 			</div></body></html>
  <?php		exit;
  		}
  
--- 604,625 ----
  	if ( !is_wp_error($user) && !$reauth ) {
  		if ( $interim_login ) {
  			$message = '<p class="message">' . __('You have logged in successfully.') . '</p>';
! 			login_header( '', $message );
! 
! 			if ( ! $customize_login ) : ?>
! 				<script type="text/javascript">setTimeout( function(){window.close()}, 8000);</script>
! 				<p class="alignright">
! 				<input type="button" class="button-primary" value="<?php esc_attr_e('Close'); ?>" onclick="window.close()" /></p>
! <?php		endif;
! 
! 			?></div><?php
! 
! 			do_action('login_footer');
! 
! 			if ( $customize_login ) : ?>
! 				<script type="text/javascript">setTimeout( function(){ new wp.customize.Messenger({ url: '<?php echo wp_customize_url(); ?>', channel: 'login' }).send('login') }, 1000 );</script>
! <?php		endif; ?>
! 			</body></html>
  <?php		exit;
  		}
  
***************
*** 603,609 ****
  		$errors->add('test_cookie', __("<strong>ERROR</strong>: Cookies are blocked or not supported by your browser. You must <a href='http://www.google.com/cookies.html'>enable cookies</a> to use WordPress."));
  
  	// Some parts of this script use the main login form to display a message
! 	if		( isset($_GET['loggedout']) && TRUE == $_GET['loggedout'] )
  		$errors->add('loggedout', __('You are now logged out.'), 'message');
  	elseif	( isset($_GET['registration']) && 'disabled' == $_GET['registration'] )
  		$errors->add('registerdisabled', __('User registration is currently not allowed.'));
--- 646,652 ----
  		$errors->add('test_cookie', __("<strong>ERROR</strong>: Cookies are blocked or not supported by your browser. You must <a href='http://www.google.com/cookies.html'>enable cookies</a> to use WordPress."));
  
  	// Some parts of this script use the main login form to display a message
! 	if		( isset($_GET['loggedout']) && true == $_GET['loggedout'] )
  		$errors->add('loggedout', __('You are now logged out.'), 'message');
  	elseif	( isset($_GET['registration']) && 'disabled' == $_GET['registration'] )
  		$errors->add('registerdisabled', __('User registration is currently not allowed.'));
***************
*** 615,620 ****
--- 658,665 ----
  		$errors->add('registered', __('Registration complete. Please check your e-mail.'), 'message');
  	elseif	( $interim_login )
  		$errors->add('expired', __('Your session has expired. Please log-in again.'), 'message');
+ 	elseif ( strpos( $redirect_to, 'about.php?updated' ) )
+ 		$errors->add('updated', __( '<strong>You have successfully updated WordPress!</strong> Please log back in to experience the awesomeness.' ), 'message' );
  
  	// Clear any stale cookies.
  	if ( $reauth )
***************
*** 645,650 ****
--- 690,698 ----
  <?php	} else { ?>
  		<input type="hidden" name="redirect_to" value="<?php echo esc_attr($redirect_to); ?>" />
  <?php 	} ?>
+ <?php   if ( $customize_login ) : ?>
+ 		<input type="hidden" name="customize-login" value="1" />
+ <?php   endif; ?>
  		<input type="hidden" name="testcookie" value="1" />
  	</p>
  </form>
***************
*** 691,694 ****
  login_footer();
  break;
  } // end action switch
- ?>
--- 739,741 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-mail.php ./wordpress-3.4/wp-mail.php
*** ./wordpress-3.3.2/wp-mail.php	2011-08-05 11:57:31.000000000 -0500
--- ./wordpress-3.4/wp-mail.php	2012-05-02 08:32:19.000000000 -0500
***************
*** 105,111 ****
  
  			// Set the author using the email address (From or Reply-To, the last used)
  			// otherwise use the site admin
! 			if ( preg_match('/(From|Reply-To): /', $line) )  {
  				if ( preg_match('|[a-z0-9_.-]+@[a-z0-9_.-]+(?!.*<)|i', $line, $matches) )
  					$author = $matches[0];
  				else
--- 105,111 ----
  
  			// Set the author using the email address (From or Reply-To, the last used)
  			// otherwise use the site admin
! 			if ( ! $author_found && preg_match( '/^(From|Reply-To): /', $line ) ) {
  				if ( preg_match('|[a-z0-9_.-]+@[a-z0-9_.-]+(?!.*<)|i', $line, $matches) )
  					$author = $matches[0];
  				else
***************
*** 114,127 ****
  				if ( is_email($author) ) {
  					echo '<p>' . sprintf(__('Author is %s'), $author) . '</p>';
  					$userdata = get_user_by('email', $author);
! 					if ( empty($userdata) ) {
! 						$author_found = false;
! 					} else {
  						$post_author = $userdata->ID;
  						$author_found = true;
  					}
- 				} else {
- 					$author_found = false;
  				}
  			}
  
--- 114,123 ----
  				if ( is_email($author) ) {
  					echo '<p>' . sprintf(__('Author is %s'), $author) . '</p>';
  					$userdata = get_user_by('email', $author);
! 					if ( ! empty( $userdata ) ) {
  						$post_author = $userdata->ID;
  						$author_found = true;
  					}
  				}
  			}
  
***************
*** 161,167 ****
  		$user = new WP_User($post_author);
  		$post_status = ( $user->has_cap('publish_posts') ) ? 'publish' : 'pending';
  	} else {
! 		// Author not found in DB, set status to pending.  Author already set to admin.
  		$post_status = 'pending';
  	}
  
--- 157,163 ----
  		$user = new WP_User($post_author);
  		$post_status = ( $user->has_cap('publish_posts') ) ? 'publish' : 'pending';
  	} else {
! 		// Author not found in DB, set status to pending. Author already set to admin.
  		$post_status = 'pending';
  	}
  
***************
*** 226,236 ****
  		$pop3->reset();
  		exit;
  	} else {
! 		echo '<p>' . sprintf(__('Mission complete.  Message <strong>%s</strong> deleted.'), $i) . '</p>';
  	}
  
  }
  
  $pop3->quit();
- 
- ?>
--- 222,230 ----
  		$pop3->reset();
  		exit;
  	} else {
! 		echo '<p>' . sprintf(__('Mission complete. Message <strong>%s</strong> deleted.'), $i) . '</p>';
  	}
  
  }
  
  $pop3->quit();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-settings.php ./wordpress-3.4/wp-settings.php
*** ./wordpress-3.3.2/wp-settings.php	2011-10-18 14:37:07.000000000 -0500
--- ./wordpress-3.4/wp-settings.php	2012-04-26 23:54:36.000000000 -0500
***************
*** 70,75 ****
--- 70,76 ----
  require( ABSPATH . WPINC . '/class-wp.php' );
  require( ABSPATH . WPINC . '/class-wp-error.php' );
  require( ABSPATH . WPINC . '/plugin.php' );
+ require( ABSPATH . WPINC . '/pomo/mo.php' );
  
  // Include the wpdb class and, if present, a db.php database drop-in.
  require_wp_db();
***************
*** 81,89 ****
  // Start the WordPress object cache, or an external object cache if the drop-in is present.
  wp_start_object_cache();
  
! // Load early WordPress files.
  require( ABSPATH . WPINC . '/default-filters.php' );
- require( ABSPATH . WPINC . '/pomo/mo.php' );
  
  // Initialize multisite if enabled.
  if ( is_multisite() ) {
--- 82,89 ----
  // Start the WordPress object cache, or an external object cache if the drop-in is present.
  wp_start_object_cache();
  
! // Attach the default filters.
  require( ABSPATH . WPINC . '/default-filters.php' );
  
  // Initialize multisite if enabled.
  if ( is_multisite() ) {
***************
*** 99,106 ****
  if ( SHORTINIT )
  	return false;
  
! // Load the l18n library.
! require( ABSPATH . WPINC . '/l10n.php' );
  
  // Run the installer if WordPress is not installed.
  wp_not_installed();
--- 99,106 ----
  if ( SHORTINIT )
  	return false;
  
! // Load the L10n library.
! require_once( ABSPATH . WPINC . '/l10n.php' );
  
  // Run the installer if WordPress is not installed.
  wp_not_installed();
***************
*** 113,118 ****
--- 112,119 ----
  require( ABSPATH . WPINC . '/capabilities.php' );
  require( ABSPATH . WPINC . '/query.php' );
  require( ABSPATH . WPINC . '/theme.php' );
+ require( ABSPATH . WPINC . '/class-wp-theme.php' );
+ require( ABSPATH . WPINC . '/template.php' );
  require( ABSPATH . WPINC . '/user.php' );
  require( ABSPATH . WPINC . '/meta.php' );
  require( ABSPATH . WPINC . '/general-template.php' );
***************
*** 120,125 ****
--- 121,127 ----
  require( ABSPATH . WPINC . '/author-template.php' );
  require( ABSPATH . WPINC . '/post.php' );
  require( ABSPATH . WPINC . '/post-template.php' );
+ require( ABSPATH . WPINC . '/post-thumbnail-template.php' );
  require( ABSPATH . WPINC . '/category.php' );
  require( ABSPATH . WPINC . '/category-template.php' );
  require( ABSPATH . WPINC . '/comment.php' );
***************
*** 237,243 ****
   * @global object $wp_rewrite
   * @since 1.5.0
   */
! $wp_rewrite = new WP_Rewrite();
  
  /**
   * WordPress Object
--- 239,245 ----
   * @global object $wp_rewrite
   * @since 1.5.0
   */
! $GLOBALS['wp_rewrite'] = new WP_Rewrite();
  
  /**
   * WordPress Object
***************
*** 261,275 ****
  // Load the default text localization domain.
  load_default_textdomain();
  
- // Find the blog locale.
  $locale = get_locale();
  $locale_file = WP_LANG_DIR . "/$locale.php";
  if ( ( 0 === validate_file( $locale ) ) && is_readable( $locale_file ) )
  	require( $locale_file );
! unset($locale_file);
  
  // Pull in locale data after loading text domain.
! require( ABSPATH . WPINC . '/locale.php' );
  
  /**
   * WordPress Locale object for loading locale domain date and various strings.
--- 263,276 ----
  // Load the default text localization domain.
  load_default_textdomain();
  
  $locale = get_locale();
  $locale_file = WP_LANG_DIR . "/$locale.php";
  if ( ( 0 === validate_file( $locale ) ) && is_readable( $locale_file ) )
  	require( $locale_file );
! unset( $locale_file );
  
  // Pull in locale data after loading text domain.
! require_once( ABSPATH . WPINC . '/locale.php' );
  
  /**
   * WordPress Locale object for loading locale domain date and various strings.
***************
*** 288,296 ****
  
  do_action( 'after_setup_theme' );
  
- // Load any template functions the theme supports.
- require_if_theme_supports( 'post-thumbnails', ABSPATH . WPINC . '/post-thumbnail-template.php' );
- 
  // Set up current user.
  $wp->init();
  
--- 289,294 ----
***************
*** 323,326 ****
   * @since 3.0.0
   */
  do_action('wp_loaded');
- ?>
--- 321,323 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-signup.php ./wordpress-3.4/wp-signup.php
*** ./wordpress-3.3.2/wp-signup.php	2011-11-15 14:44:48.000000000 -0600
--- ./wordpress-3.4/wp-signup.php	2012-04-21 01:40:31.000000000 -0500
***************
*** 95,101 ****
  	<div id="privacy">
          <p class="privacy-intro">
              <label for="blog_public_on"><?php _e('Privacy:') ?></label>
!             <?php _e('Allow my site to appear in search engines like Google, Technorati, and in public listings around this network.'); ?>
              <br style="clear:both" />
              <label class="checkbox" for="blog_public_on">
                  <input type="radio" id="blog_public_on" name="blog_public" value="1" <?php if ( !isset( $_POST['blog_public'] ) || $_POST['blog_public'] == '1' ) { ?>checked="checked"<?php } ?> />
--- 95,101 ----
  	<div id="privacy">
          <p class="privacy-intro">
              <label for="blog_public_on"><?php _e('Privacy:') ?></label>
!             <?php _e( 'Allow search engines to index this site.' ); ?>
              <br style="clear:both" />
              <label class="checkbox" for="blog_public_on">
                  <input type="radio" id="blog_public_on" name="blog_public" value="1" <?php if ( !isset( $_POST['blog_public'] ) || $_POST['blog_public'] == '1' ) { ?>checked="checked"<?php } ?> />
***************
*** 218,224 ****
  	?>
  	<h2><?php printf( __( 'The site %s is yours.' ), "<a href='http://{$domain}{$path}'>{$blog_title}</a>" ) ?></h2>
  	<p>
! 		<?php printf( __( '<a href="http://%1$s">http://%2$s</a> is your new site.  <a href="%3$s">Log in</a> as &#8220;%4$s&#8221; using your existing password.' ), $domain.$path, $domain.$path, "http://" . $domain.$path . "wp-login.php", $user_name ) ?>
  	</p>
  	<?php
  	do_action( 'signup_finished' );
--- 218,224 ----
  	?>
  	<h2><?php printf( __( 'The site %s is yours.' ), "<a href='http://{$domain}{$path}'>{$blog_title}</a>" ) ?></h2>
  	<p>
! 		<?php printf( __( '<a href="http://%1$s">http://%2$s</a> is your new site. <a href="%3$s">Log in</a> as &#8220;%4$s&#8221; using your existing password.' ), $domain.$path, $domain.$path, "http://" . $domain.$path . "wp-login.php", $user_name ) ?>
  	</p>
  	<?php
  	do_action( 'signup_finished' );
***************
*** 229,241 ****
  
  	if ( !is_wp_error($errors) )
  		$errors = new WP_Error();
- 	if ( isset( $_POST[ 'signup_for' ] ) )
- 		$signup[ esc_html( $_POST[ 'signup_for' ] ) ] = 'checked="checked"';
- 	else
- 		$signup[ 'blog' ] = 'checked="checked"';
  
! 	//TODO - This doesn't seem to do anything do we really need it?
! 	$signup['user'] = isset( $signup['user'] ) ? $signup['user'] : '';
  
  	// allow definition of default variables
  	$filtered_results = apply_filters('signup_user_init', array('user_name' => $user_name, 'user_email' => $user_email, 'errors' => $errors ));
--- 229,236 ----
  
  	if ( !is_wp_error($errors) )
  		$errors = new WP_Error();
  
! 	$signup_for = isset( $_POST[ 'signup_for' ] ) ? esc_html( $_POST[ 'signup_for' ] ) : 'blog';
  
  	// allow definition of default variables
  	$filtered_results = apply_filters('signup_user_init', array('user_name' => $user_name, 'user_email' => $user_email, 'errors' => $errors ));
***************
*** 257,266 ****
  		<?php } elseif ( $active_signup == 'user' ) { ?>
  			<input id="signupblog" type="hidden" name="signup_for" value="user" />
  		<?php } else { ?>
! 			<input id="signupblog" type="radio" name="signup_for" value="blog" <?php echo $signup['blog'] ?> />
  			<label class="checkbox" for="signupblog"><?php _e('Gimme a site!') ?></label>
  			<br />
! 			<input id="signupuser" type="radio" name="signup_for" value="user" <?php echo $signup['user'] ?> />
  			<label class="checkbox" for="signupuser"><?php _e('Just a username, please.') ?></label>
  		<?php } ?>
  		</p>
--- 252,261 ----
  		<?php } elseif ( $active_signup == 'user' ) { ?>
  			<input id="signupblog" type="hidden" name="signup_for" value="user" />
  		<?php } else { ?>
! 			<input id="signupblog" type="radio" name="signup_for" value="blog" <?php checked( $signup_for, 'blog' ); ?> />
  			<label class="checkbox" for="signupblog"><?php _e('Gimme a site!') ?></label>
  			<br />
! 			<input id="signupuser" type="radio" name="signup_for" value="user" <?php checked( $signup_for, 'user' ); ?> />
  			<label class="checkbox" for="signupuser"><?php _e('Just a username, please.') ?></label>
  		<?php } ?>
  		</p>
***************
*** 294,300 ****
  	?>
  	<h2><?php printf( __( '%s is your new username' ), $user_name) ?></h2>
  	<p><?php _e( 'But, before you can start using your new username, <strong>you must activate it</strong>.' ) ?></p>
! 	<p><?php printf(__( 'Check your inbox at <strong>%1$s</strong> and click the link given.' ),  $user_email) ?></p>
  	<p><?php _e( 'If you do not activate your username within two days, you will have to sign up again.' ); ?></p>
  	<?php
  	do_action( 'signup_finished' );
--- 289,295 ----
  	?>
  	<h2><?php printf( __( '%s is your new username' ), $user_name) ?></h2>
  	<p><?php _e( 'But, before you can start using your new username, <strong>you must activate it</strong>.' ) ?></p>
! 	<p><?php printf( __( 'Check your inbox at <strong>%s</strong> and click the link given.' ), $user_email ); ?></p>
  	<p><?php _e( 'If you do not activate your username within two days, you will have to sign up again.' ); ?></p>
  	<?php
  	do_action( 'signup_finished' );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-trackback.php ./wordpress-3.4/wp-trackback.php
*** ./wordpress-3.3.2/wp-trackback.php	2010-02-24 14:13:23.000000000 -0600
--- ./wordpress-3.4/wp-trackback.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 108,111 ****
  	do_action('trackback_post', $wpdb->insert_id);
  	trackback_response(0);
  }
- ?>
\ No newline at end of file
--- 108,110 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/xmlrpc.php ./wordpress-3.4/xmlrpc.php
*** ./wordpress-3.3.2/xmlrpc.php	2011-04-17 03:35:51.000000000 -0500
--- ./wordpress-3.4/xmlrpc.php	2012-02-16 18:02:42.000000000 -0600
***************
*** 54,62 ****
  include_once(ABSPATH . WPINC . '/class-IXR.php');
  include_once(ABSPATH . WPINC . '/class-wp-xmlrpc-server.php');
  
- // Turn off all warnings and errors.
- // error_reporting(0);
- 
  /**
   * Posts submitted via the xmlrpc interface get that title
   * @name post_default_title
--- 54,59 ----
***************
*** 64,110 ****
   */
  $post_default_title = "";
  
! /**
!  * Whether to enable XMLRPC Logging.
!  *
!  * @name xmlrpc_logging
!  * @var int|bool
!  */
! $xmlrpc_logging = 0;
  
  /**
   * logIO() - Writes logging info to a file.
   *
!  * @uses $xmlrpc_logging
!  * @package WordPress
!  * @subpackage Logging
   *
   * @param string $io Whether input or output
   * @param string $msg Information describing logging reason.
-  * @return bool Always return true
   */
! function logIO($io,$msg) {
! 	global $xmlrpc_logging;
! 	if ($xmlrpc_logging) {
! 		$fp = fopen("../xmlrpc.log","a+");
! 		$date = gmdate("Y-m-d H:i:s ");
! 		$iot = ($io == "I") ? " Input: " : " Output: ";
! 		fwrite($fp, "\n\n".$date.$iot.$msg);
! 		fclose($fp);
! 	}
! 	return true;
! }
! 
! if ( isset($HTTP_RAW_POST_DATA) )
! 	logIO("I", $HTTP_RAW_POST_DATA);
! 
! // Make sure wp_die output is XML
! add_filter( 'wp_die_handler', '_xmlrpc_wp_die_filter' );
! 
! // Allow for a plugin to insert a different class to handle requests.
! $wp_xmlrpc_server_class = apply_filters('wp_xmlrpc_server_class', 'wp_xmlrpc_server');
! $wp_xmlrpc_server = new $wp_xmlrpc_server_class;
! 
! // Fire off the request
! $wp_xmlrpc_server->serve_request();
! ?>
\ No newline at end of file
--- 61,86 ----
   */
  $post_default_title = "";
  
! // Allow for a plugin to insert a different class to handle requests.
! $wp_xmlrpc_server_class = apply_filters('wp_xmlrpc_server_class', 'wp_xmlrpc_server');
! $wp_xmlrpc_server = new $wp_xmlrpc_server_class;
! 
! // Fire off the request
! $wp_xmlrpc_server->serve_request();
! 
! exit;
  
  /**
   * logIO() - Writes logging info to a file.
   *
!  * @deprecated 3.4.0
!  * @deprecated Use error_log()
   *
   * @param string $io Whether input or output
   * @param string $msg Information describing logging reason.
   */
! function logIO( $io, $msg ) {
! 	_deprecated_function( __FUNCTION__, '3.4', 'error_log()' );
! 	if ( ! empty( $GLOBALS['xmlrpc_logging'] ) )
! 		error_log( $io . ' - ' . $msg );
! }
\ No newline at end of file
